// BemSolveView.h : interface of the CBemSolveView class
//
/////////////////////////////////////////////////////////////////////////////

class CBemSolveView : public CScrollView
{
protected: // create from serialization only
	CBemSolveView();
	DECLARE_DYNCREATE(CBemSolveView)

// Attributes
public:
	CBemSolveDoc* GetDocument();

// Operations
public:
	BOOL IsElemI,IsElemO,IsWellI,IsWellO, IsPointO;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBemSolveView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CBemSolveView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CBemSolveView)
	afx_msg void OnViewElems();
	afx_msg void OnViewResEl();
	afx_msg void OnViewResInt();
	afx_msg void OnViewResWell();
	afx_msg void OnUpdateViewElems(CCmdUI* pCmdUI);
	afx_msg void OnUpdateViewResEl(CCmdUI* pCmdUI);
	afx_msg void OnUpdateViewResInt(CCmdUI* pCmdUI);
	afx_msg void OnUpdateViewResWell(CCmdUI* pCmdUI);
	afx_msg void OnViewWells();
	afx_msg void OnUpdateViewWells(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in BemSolveView.cpp
inline CBemSolveDoc* CBemSolveView::GetDocument()
   { return (CBemSolveDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
